Name:           birdfont
Version:        2.29.3
Release:        %mkrel 1
Summary:        A free font editor for TTF, EOT & SVG fonts
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://birdfont.org
Source0:        https://github.com/johanmattssonm/birdfont/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         birdfont-2.29.1-mga-desktop.patch
Patch1:         birdfont-linking.patch

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(xmlbird)
BuildRequires:  python3
BuildRequires:  vala-tools

Requires:       google-roboto-fonts
Requires:       unicode-ucd

%description
BirdFont is a free font editor that lets you create vector graphics and export
TTF, EOT & SVG fonts.

%prep
%autosetup -p1

%build
%{__python3} ./configure \
	-p%{_prefix} \
	--cflags="%{optflags}" \
	--ldflags="%{ldflags}"
%{__python3} scripts/linux_build.py

%install
%{__python3} install.py \
	-d%{buildroot} \
	-l/%{_lib} \
	-n/share/man/man1 \
	-mtrue

rm -f %{buildroot}%{_libdir}/libbird*.so

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}*
%{_libdir}/libbirdfont.so.*
%{_libdir}/libbirdgems.so.*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*.1*


%changelog
* Thu Nov 26 2020 akien <akien> 2.29.3-1.mga8
+ Revision: 1649377
- Version 2.29.3

* Mon Oct 19 2020 akien <akien> 2.29.1-1.mga8
+ Revision: 1636836
- Version 2.29.1

* Thu Feb 20 2020 umeabot <umeabot> 2.28.0-2.mga8
+ Revision: 1546522
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 2.28.0-1.mga8
+ Revision: 1486701
- new version: 2.28.0

* Sun Apr 21 2019 akien <akien> 2.26.0-1.mga7
+ Revision: 1394356
- Version 2.26.0

* Thu Nov 08 2018 daviddavid <daviddavid> 2.24.0-1.mga7
+ Revision: 1328872
- new version: 2.24.0

* Sat Nov 03 2018 daviddavid <daviddavid> 2.23.0-1.mga7
+ Revision: 1327938
- new version: 2.23.0
- remove merged upstream patch

* Fri Sep 21 2018 umeabot <umeabot> 2.21.1-3.mga7
+ Revision: 1295426
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 wally <wally> 2.21.1-2.mga7
+ Revision: 1247600
- force libdir to fix build on aarch64
- use mga ldflags
- add patch to fix linking

* Thu May 10 2018 daviddavid <daviddavid> 2.21.1-1.mga7
+ Revision: 1227997
- new version: 2.21.1
- backport some upstream fixes (fix build with new vala)

* Sat Dec 30 2017 akien <akien> 2.20.1-1.mga7
+ Revision: 1187617
- Version 2.20.1

* Sun Aug 27 2017 daviddavid <daviddavid> 2.19.4-1.mga7
+ Revision: 1148280
- fix build using ours compile flags thus fixing empty debugsourcefiles.list
+ akien <akien>
- Version 2.19.4

* Mon Jul 17 2017 akien <akien> 2.19.0-1.mga7
+ Revision: 1124170
- Version 2.19.0

* Tue Jun 20 2017 akien <akien> 2.18.6-1.mga6
+ Revision: 1107925
- Version 2.18.6

* Sun Dec 18 2016 akien <akien> 2.18.3-1.mga6
+ Revision: 1075988
- Version 2.18.3

* Thu Nov 10 2016 akien <akien> 2.17.1-1.mga6
+ Revision: 1066158
- Version 2.17.1

* Sat Oct 29 2016 akien <akien> 2.16.12-2.mga6
+ Revision: 1064062
- Rebuild for xmlbird 1.2.4

* Thu Oct 20 2016 akien <akien> 2.16.12-1.mga6
+ Revision: 1062575
- Version 2.16.12

* Sat Oct 08 2016 akien <akien> 2.16.10-1.mga6
+ Revision: 1059582
- Version 2.16.10

* Thu Aug 11 2016 akien <akien> 2.16.5-1.mga6
+ Revision: 1045702
- Version 2.16.5

* Sat Apr 23 2016 akien <akien> 2.15.5-1.mga6
+ Revision: 1005524
- Requires google-roboto-fonts
- Version 2.15.5
+ luigiwalser <luigiwalser>
- back to webkit1 for now
- try building with webkit2

* Sun Jan 03 2016 akien <akien> 2.15.3-1.mga6
+ Revision: 919099
- Version 2.15.3

* Fri Nov 06 2015 tv <tv> 2.13.0-1.mga6
+ Revision: 898228
- BR pkgconfig(xmlbird)
- BR python3
- new release
- new release

* Fri Jan 30 2015 akien <akien> 2.0.2-1.mga5
+ Revision: 812762
- imported package birdfont

